Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdStrEnum Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | SetSize ([in] RtUlong ulSize)
HRESULT | GetSize ([out, retval] RtUlong *pulSize)
HRESULT | SetStringAt ([in] RtUlong ulIndex,[in] BSTR bsStr)
HRESULT | GetStringAt ([in] RtUlong ulIndex,[out, retval] BSTR *pbsStr)
HRESULT | SetSelectedString ([in] BSTR bsStr)
HRESULT | GetSelectedString ([out, retval] BSTR *pbsStr)
HRESULT | SetComboCtrlStyle ([in] RtDWORD dwStyle)
HRESULT | GetComboCtrlStyle ([out, retval] RtDWORD *pdwStyle)

## Detailed Description

IRdStrEnum was designed to store string values for dynamical combo box controls. More generally, it can be used as a general-purpose string array as well.

## Member Function Documentation

HRESULT IRdStrEnum::Clear | ( | void |  | ) |

| Clears (initializes) the data object

HRESULT IRdStrEnum::SetSize | ( | [in] RtUlong | ulSize | ) |

  | Sets size (number of items) that the data object can store Parameters:
  ulSize | - desired size

HRESULT IRdStrEnum::GetSize | ( | [out, retval] RtUlong * | pulSize | ) |

  | Gets size (number of items) that the data object can store Parameters:
  pulSize | - returns size

HRESULT IRdStrEnum::SetStringAt | ( | [in] RtUlong | ulIndex,
|  | [in] BSTR | bsStr
| ) |

  | Sets one string item to the collection Parameters:
  ulIndex | - zero based index of new item (0..GetSize-1)
  bsStr | - string item to be set

HRESULT IRdStrEnum::GetStringAt | ( | [in] RtUlong | ulIndex,
|  | [out, retval] BSTR * | pbsStr
| ) |

  | Gets one string item from the collection Parameters:
  ulIndex | - zero based index of the item (0..GetSize-1)
  pbsStr | - returns string item at given index

HRESULT IRdStrEnum::SetSelectedString | ( | [in] BSTR | bsStr | ) |

  | Sets the default string (default value of combo box control) Parameters:
  bsStr | - default value (should be one of the collection items)

HRESULT IRdStrEnum::GetSelectedString | ( | [out, retval] BSTR * | pbsStr | ) |

  | Gets the default string (default value of combo box control) Parameters:
  pbsStr | - returns default value

HRESULT IRdStrEnum::SetComboCtrlStyle | ( | [in] RtDWORD | dwStyle | ) |

  | Sets style for combo box control Parameters:
  dwStyle | - style constant - use one of the MS WIN style constants: CBS_SIMPLE 0x0001L CBS_DROPDOWN 0x0002L CBS_DROPDOWNLIST 0x0003L

HRESULT IRdStrEnum::GetComboCtrlStyle | ( | [out, retval] RtDWORD * | pdwStyle | ) |

  | Gets style for combo box control Parameters:
  pdwStyle | - returns combo box style (see the SetSelectedString desc)